Subject: Re: Stalls when starting a VSOCK listening socket: soft lockups, RCU stalls, timeout

From: Thomas Gleixner <[email-masked]>
Date: Sun, 08 Mar 2026 17:58:22 +0100

On Sun, Mar 08 2026 at 10:15, Thomas Gleixner wrote:

> On Sat, Mar 07 2026 at 23:29, Thomas Gleixner wrote:
>> I'll look at it more tomorrow in the hope that this rested brain
>> approach works out again.
>
> There is another one of the same category. Combo patch below.

This rested brain thing is clearly a myth. The patch actually solves
nothing because the code ensures that the TRANSIT bit is never set
together with the ONCPU bit.

One of those moments where you just hope that the earth opens up and
swallows you.

So I'm back to square one. I go and do what I should have done in the
first place. Write a debug patch with trace_printks and let the people
who can actually trigger the problem run with it.